Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415304 - Overhaul .spec file
Summary: Overhaul .spec file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: preupgrade-assistant
Version: 6.9
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: rc
: ---
Assignee: Michal Bocek
QA Contact: Alois Mahdal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 20:02 UTC by Michal Bocek
Modified: 2017-03-21 12:11 UTC (History)
3 users (show)

Fixed In Version: preupgrade-assistant-2.3.0-1.el6
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2017-03-21 12:11:01 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0819 0 normal SHIPPED_LIVE preupgrade-assistant bug fix and enhancement update 2017-03-21 12:53:47 UTC

Description Michal Bocek 2017-01-20 20:02:25 UTC
In an effort to make the .spec file common for both RHEL 5 and RHEL 6, it needs to be revised extensively.

Some of the tasks to be done:
- Remove patches that are no longer needed.
- Make the spec more readable.
- Inspect Requires and Build Requires whether they still apply.
- Revise description texts.
- Fix issues with %files section (rpm should be able to report all files that were installed by Preupgrade Assistant).
- Analyze what parts of the current latest upstream code do not apply to RHEL 5 and add appropriate conditions to the spec.

Comment 4 Alois Mahdal 2017-01-26 22:09:56 UTC
Are there any expected packaging changes in terms of the resulting (non-S)RPM?

I guess none, but I'm not sure about the issue with %files section you mentioned. can you please elaborate bit on that?

Comment 5 Michal Bocek 2017-01-27 14:25:23 UTC
The update to %files section, as I mention in the description, has to do only with RPM metadata, if I'm not mistaken. Previously the %files section was listing certainly all the files, but not all the folder in which these files were - that had an effect that during the package uninstallation, such folders were left on the system.

The division into preupgrade-assistant, preupgrade-assistant-tools, preupgrade-assistant-ui has been kept as it was.

I guess by packaging changes you don't mean the content of the (S)RPM, i.e. what is to be installed. Because it so different now - many files were moved to another locations or renamed - these changes stem from BZ https://bugzilla.redhat.com/show_bug.cgi?id=1393080.

Comment 6 Alois Mahdal 2017-01-27 21:20:42 UTC
(In reply to Michal Bocek from comment #5)
> The update to %files section, as I mention in the description, has to do
> only with RPM metadata, if I'm not mistaken. Previously the %files section
> was listing certainly all the files, but not all the folder in which these
> files were - that had an effect that during the package uninstallation, such
> folders were left on the system.

The directory ownership but it kinda belongs TPS domain; I'll see why it did not complain and/or see if there's something we can add to our suite.


> I guess by packaging changes you don't mean the content of the (S)RPM, i.e.
> what is to be installed. Because it so different now - many files were moved
> to another locations or renamed - these changes stem from BZ
> https://bugzilla.redhat.com/show_bug.cgi?id=1393080.

Indeed, that was not what I meant, we expect that in any case.  Thanks for the explanation.

I'll treat it just as refactoring then; ie. we expect the same functionality as before, i.e. SanityOnly, i.e., if everything else passes, this can be marked as verified.

Comment 7 Michal Bocek 2017-01-30 13:04:36 UTC
Agree, the update can be perceived as refactoring. The functionality should remain the same.

Comment 8 Alois Mahdal 2017-01-31 14:57:09 UTC
Notes for QA
============

This, along with bug 1393080 - project hierarchy cleanup, is refactoring and should be left among the last to verify.

Once everything else is verified and test suite passes, these two bugs can be considered verified (SanityOnly).

Comment 9 Alois Mahdal 2017-03-10 03:15:15 UTC
As of preupgrade-assistant-2.3.3-1.el6, test suite been ran and passed multiple times.  No issues emerged relevant to the cleanup.

I think we can safely close this now.

Comment 11 errata-xmlrpc 2017-03-21 12:11:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0819.html


Note You need to log in before you can comment on or make changes to this bug.